> For the complete documentation index, see [llms.txt](https://docs.specsolutions.eu/specsync/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specsolutions.eu/specsync/reference/configuration/configuration-knownremotes.md).

# knownRemotes

This configuration section can be used to specify the connection and authentication details of Azure DevOps projects that are used by multiple synchronization projects. Specifying `knownRemotes` section can be specified in parent or user-specific configuration files to avoid repeating the same settings or including credentials to the project repository. See [Hierarchical configuration files](/specsync/features/general-features/hierarchical-configuration-files.md) for details.

The following example shows a usage of this section.

```javascript
{
  ...
  "knownRemotes": [
    {
      "projectUrl": "https://dev.azure.com/myorg/*",
      "user": "g2x.....................ac2vx57i4a"
    },
    {
      "projectUrl": "https://dev.azure.com/otherorg/OtherProject",
      "user": "y6s.....................ksuc7tsts"
    }
  ],
  ...
}
```

## Settings

The `knownRemotes` section specify an array of remote configurations. The possible values are the same as described in the [remote section](/specsync/reference/configuration/configuration-remote.md), with the exception that for `knownRemotes` the `projectUrl` can contain a leading asterisk (`*`) to be able to match the settings to all projects with the same URL prefix.

{% content-ref url="/pages/-LVwFCLiKB3ACJLwVZGP" %}
[Configuration reference](/specsync/reference/configuration.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LVwFCLlHA-hJtWZKjjj" %}
[remote](/specsync/reference/configuration/configuration-remote.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-knownremotes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
